Get an auto route

​

Get one auto route by id. A parent API key can read an auto route owned by the parent or one of its direct subaccounts.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/v1/rulesets/{id}
curl https://api.bettermoney.com/api/v1/rulesets/123e4567-e89b-12d3-a456-426614174000
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "senderUserId": null,
  "name": null,
  "status": "ACTIVE",
  "deliveredAsset": "string",
  "deliveredChain": "string",
  "toAddress": "string",
  "mode": "NETTED",
  "forceInstant": false,
  "feeCollection": "invoiced",
  "metadata": {
    "additionalProperty": "anything"
  },
  "addresses": [
    {
      "chain": "string",
      "failureReason": "string",
      "status": "PENDING",
      "address": null
    }
  ],
  "createdAt": "2026-10-22T14:42:28.556Z",
  "beneficiary": {
    "type": "individual",
    "givenName": "string",
    "familyName": "string",
    "dateOfBirth": "2026-10-22",
    "location": {
      "country": "string",
      "subdivision": "string"
    },
    "isSelfHosted": true,
    "legalEntityIdentifier": "string"
  }
}